Skip to main content
POST
PlanTypeChange

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

request_catalog_id
string
required

Access profile to inspect.

Body

application/json

Requests a side-effect-free plan for changing an access profile's type.

targetType
enum<string>

Requested type. UNSPECIFIED and the deprecated PROFILE value are rejected.

Available options:
REQUEST_CATALOG_TYPE_UNSPECIFIED,
REQUEST_CATALOG_TYPE_CATALOG,
REQUEST_CATALOG_TYPE_PROFILE,
REQUEST_CATALOG_TYPE_CATALOG_AND_BUNDLE,
REQUEST_CATALOG_TYPE_BUNDLE

Response

200 - application/json

Describes behavior affected by an access profile type change.

Describes behavior affected by an access profile type change.

currentType
enum<string>

Current stored type. UNSPECIFIED means the profile predates type backfill or contains an unknown future value.

Available options:
REQUEST_CATALOG_TYPE_UNSPECIFIED,
REQUEST_CATALOG_TYPE_CATALOG,
REQUEST_CATALOG_TYPE_PROFILE,
REQUEST_CATALOG_TYPE_CATALOG_AND_BUNDLE,
REQUEST_CATALOG_TYPE_BUNDLE
impacts
Request Catalog Type Change Impact · object[] | null

Deterministically ordered behavior affected by the transition. These impacts describe what the target type does not support; the change does not remove or modify the underlying state.

targetType
enum<string>

Type requested by the caller.

Available options:
REQUEST_CATALOG_TYPE_UNSPECIFIED,
REQUEST_CATALOG_TYPE_CATALOG,
REQUEST_CATALOG_TYPE_PROFILE,
REQUEST_CATALOG_TYPE_CATALOG_AND_BUNDLE,
REQUEST_CATALOG_TYPE_BUNDLE